import { ToolbarInternalButtonConfig } from './toolbar-button-slimmer.abstract';
import { VegaRTEColorSchema } from '../../../interface';
import { VegaRichTextEditor } from '../../../vega-rich-text-editor';
import { RTENode } from '../../../dto/nodes/node.abstract';
import { VegaColorPickerCustomEvent } from '../../../../../components';
import { Nullable } from '../../../../../types/general';
import { VisualModeToolbarButtonSlimmer } from './visual-mode-toolbar-button-slimmer.abstract';
export declare class TextColorToolbarButtonSlimmer extends VisualModeToolbarButtonSlimmer {
  host: VegaRichTextEditor['host'];
  isInDarkMode: VegaRichTextEditor['isInDarkMode'];
  selectionController: VegaRichTextEditor['selectionController'];
  focusController: VegaRichTextEditor['focusController'];
  private popoverShow;
  private popoverRef;
  constructor();
  static formatDarkModeColor(): Record<string, string>;
  protected renderSlotContent(): HTMLElement;
  protected handlePopoverShowChange(): void;
  protected handlePopoverHideChange(): void;
  protected renderBtnWrapper(renderBtn: (toolbarInternalButton: ToolbarInternalButtonConfig) => HTMLElement): HTMLElement;
  protected renderPopoverContent(): HTMLElement;
  protected handleChange(e: VegaColorPickerCustomEvent<string>): Promise<void>;
  protected matchColor(value: string): Nullable<VegaRTEColorSchema>;
  protected getCurrentColor(): Nullable<string>;
  protected isSelected(): boolean;
  protected isSelectedSameColor(selectedNodes: RTENode[]): boolean;
  protected getTextColor(selectedNodes: RTENode): VegaRTEColorSchema;
  protected isDisabled(): boolean;
}
